Show / Hide Table of Contents

# Struct Device

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Kernel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Device

### Fields

| Improve this Doc View Source

#### ContextArray

##### Declaration

    public void *ContextArray

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### D3D11Device

##### Declaration

    public void *D3D11Device

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### D3D11DeviceContext

##### Declaration

    public void *D3D11DeviceContext

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### D3DFeatureLevel

##### Declaration

    public int D3DFeatureLevel

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DXGIFactory

##### Declaration

    public void *DXGIFactory

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### ImmediateContext

##### Declaration

    public void *ImmediateContext

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### RenderThread

##### Declaration

    public void *RenderThread

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### SwapChain

##### Declaration

    public SwapChain*SwapChain

##### Field Value

Type | Description
--- | ---
SwapChain* |